Bug 1943954 - Upgrading Fedora to 34 beta did not disable earlyoom
Summary: Upgrading Fedora to 34 beta did not disable earlyoom
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: earlyoom
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vitaly
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-28 18:25 UTC by Alexey Rochev
Modified: 2021-04-12 16:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-12 16:31:44 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Alexey Rochev 2021-03-28 18:25:24 UTC
Description of problem:
systemd-oom change wiki page says that when upgrading to Fedora 34 earlyoom will be disabled and systemd-oomd will be enabled.

However, when I upgraded to 34 beta and rebooted, bot earlyomm and systemd-oomd were enabled and started.

Version-Release number of selected component (if applicable):
earlyoom-1.6.2-3.fc34.x86_64

How reproducible:
At least once.

Steps to Reproduce:
1. Upgrade to Fedora 34

Actual results:
Both earlyoom and systemd-oomd are enabled.

Expected results:
Only systemd-oomd should be enabled.

Additional info:
I use Fedora KDE spin.

Comment 1 Vitaly 2021-03-29 13:53:21 UTC
It should work correctly: https://src.fedoraproject.org/rpms/earlyoom/blob/rawhide/f/earlyoom.spec#_40

Comment 2 Alexey Rochev 2021-03-29 21:06:04 UTC
Well, something certainly went wrong. 
Logs say that it was updated from earlyoom-1.6.2-1.fc33.x86_64 to earlyoom-1.6.2-3.fc34.x86_64.

That's from journald:

мар 28 16:15:04 localhost.localdomain dnf[766]:   Обновление       : earlyoom-1.6.2-3.fc34.x86_64                     2031/4222
мар 28 16:15:04 localhost.localdomain dnf[766]:   Запуск скриптлета: earlyoom-1.6.2-3.fc34.x86_64                     2031/4222
мар 28 16:16:03 localhost.localdomain dnf[766]:   Запуск скриптлета: earlyoom-1.6.2-1.fc33.x86_64                     2568/4222
мар 28 16:16:03 localhost.localdomain dnf[766]:   Очистка          : earlyoom-1.6.2-1.fc33.x86_64                     2568/4222
мар 28 16:16:03 localhost.localdomain dnf[766]:   Запуск скриптлета: earlyoom-1.6.2-1.fc33.x86_64                     2568/4222

That's from dnf.rpm.log:

2021-03-28T16:15:03+0300 SUBDEBUG Upgrade: earlyoom-1.6.2-3.fc34.x86_64
2021-03-28T16:16:03+0300 SUBDEBUG Upgraded: earlyoom-1.6.2-1.fc33.x86_64

There is nothing else about earlyoom in logs, no warnings or errors.

Except that after reboot both earlyoom and systemd-oomd were started:

мар 28 16:22:58 localhost.localdomain audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=earlyoom comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
мар 28 16:22:58 localhost.localdomain audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-oomd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'

I checked with systemctl status, and it said that earlyoom was "Loaded: loaded (/usr/lib/systemd/system/earlyoom.service; enabled; vendor preset: disabled)"

Comment 3 Anita Zhang 2021-03-29 22:19:40 UTC
> I checked with systemctl status, and it said that earlyoom was "Loaded: loaded (/usr/lib/systemd/system/earlyoom.service; enabled; vendor preset: disabled)"

Based on that "enabled" I think there is still likely a symlink at `/etc/systemd/system/multi-user.target.wants/earlyoom.service` that is starting earlyoom at boot. Do you happen to have a preset file under `/etc/systemd/system-preset/` that contains "enable earlyoom" that would override the distro default?

Comment 4 Alexey Rochev 2021-03-30 20:35:14 UTC
No. But I did 'systemctl disable --now earlyoom.service' immediately when I noticed this issue. Could this remove it?

Comment 5 Vitaly 2021-04-12 16:31:44 UTC
Tested on a clean VM with F33 Workstation. Updated it to F34 and earlyoom was disabled automatically.


Note You need to log in before you can comment on or make changes to this bug.